Unable to Build DAQmx Base C Application on 64-bit RedHat or CentOS

Updated Jan 10, 2018

Reported In

Driver

  • NI-DAQmx Base 3.6

Operating System

  • Linux

Issue Details

I am unable to build any NI-DAQmx Base C applications on my 64-bit RedHat or CentOS system. When I try to do so, I receive errors about a missing header or libraries. Shouldn’t these already be included on my system?

Solution

To fix this error, make sure that the following 32-bit packages are installed on your 64-bit system before installing NI-DAQmx Base. They can be installed from the 64-bit installation disks, or from the online repositories for your Linux installation.
  • compat-libstdc++.i686
  • expat.i686
  • glibc.i686
  • glibc-devel.i686
  • libdrm.i686
  • libgcc.i686
  • libselinux.i686
  • libstdc++.i686
  • libX11.i686
  • libXau.i686
  • libxcb.i686
  • libXdamage.i686
  • libXext.i686
  • libXinerama.i686
  • libXfixes.i686
  • libXxf86vm.i686
  • mesa-dri-drivers.i686
  • mesa-libGL.i686
  • nss-softokn-freebl.i686
  • zlib.i686
Note:  The *.i686 suffix denotes a 32-bit package, as opposed to *.x86_64 which denotes a 64-bit package. Make sure to install the 32-bit versions of these packages.

Additional Information

RedHat 6 and 7 64-bit have been seen to have this issue, along with some versions of CentOS.  A new 64-bit system will only have 64-bit packages installed, but NI-DAQmx Base, LabVIEW, and VISA can only be used with 32-bit applications. These applications depend on the 32-bit packages listed below.

WAS THIS ARTICLE HELPFUL?

Not Helpful